#!/bin/zsh
# now uses a list I have made of available fonts that work well

PICK=`cat ~/bin/shellfonts.list |dmenu -i -l 25 -fn "ProggySquareTTSZ" -p "ST: Pick Font"`
SIZE=`echo 12,16,14,10,9,8,72 | sed s/,/\\\n/g | dmenu -p Size -fn mOsOul-16 -sb orange -sf navy`
if [[ $PICK ]]; then
 FONT=$PICK:pixelsize="$SIZE":antialias=true:autohint=true
 echo st -f $FONT
 if [[ -f ~/bin/st-aardbei ]]; then
    st-aardbei -f $FONT
 else
   st -f $FONT
 fi
fi

